import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateRootAddIsdeputy1729505298515 implements MigrationInterface {
    name = 'UpdateRootAddIsdeputy1729505298515'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`orgRoot\` ADD \`isDeputy\` tinyint NOT NULL COMMENT 'เป็นปลัด' DEFAULT 0`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`orgRoot\` DROP COLUMN \`isDeputy\``);
    }

}
